-- Miscellaneous helper functions

function yak_print( msg )
   DEFAULT_CHAT_FRAME:AddMessage( msg )
end

YAK_LOGGER = {}

function YAK_LOGGER:Create( log_status, text_color )
   -- text color is a triplet table, ie {1,0,0} for red, etc
   log_status = log_status or false
   text_color = text_color or { 1,1,1 }
   result = { log=log_status, chatframe=DEFAULT_CHAT_FRAME, color=text_color }
   setmetatable( result, self )
   self.__index = self
   return result
end

function YAK_LOGGER:SetLog( log_status )
   self.log = log_status
end

function YAK_LOGGER:Log(msg)
   if self.log then
      self.chatframe:AddMessage(msg, self.color[1], self.color[2], self.color[3] )
   end
end
